Bug 9908 - OCLC Connexion Desktop Client Doesn't Work
Summary: OCLC Connexion Desktop Client Doesn't Work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 21:48 UTC by Thatcher Rea
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9908 - Fixing OCLC Connexion Client (1.02 KB, patch)
2013-03-22 21:53 UTC, Thatcher Rea
Details | Diff | Splinter Review
Bug 9908 - Fixing OCLC Connexion Client (1.02 KB, patch)
2013-03-22 23:14 UTC, Thatcher Rea
Details | Diff | Splinter Review
Bug 9908 - Fixing OCLC Connexion Client (1.35 KB, patch)
2013-03-22 23:15 UTC, Galen Charlton
Details | Diff | Splinter Review
[PASSED QA] Bug 9908 - Fixing OCLC Connexion Client (1.53 KB, patch)
2013-03-25 06:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Thatcher Rea 2013-03-22 21:48:26 UTC
The OCLC Connexion Desktop Client now throws the following error in master (also exists in 3.10.03:)

<pre>Undefined subroutine &amp;main::BatchFindBibDuplicates called at /home/koha/kohaclone/svc/import_bib line 89, &lt;DATA&gt; line 522.

I suspect this is due to changes in bug 7475 that modifies BatchFindBibDuplicates to BatchFindDuplicates 

It's a simple enough fix for this problem; will submit a patch shortly.


:TNR
Comment 1 Thatcher Rea 2013-03-22 21:53:10 UTC Comment hidden (obsolete)
Comment 2 Thatcher Rea 2013-03-22 23:14:58 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2013-03-22 23:15:40 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-25 06:46:44 UTC
Created attachment 16849 [details] [review]
[PASSED QA] Bug 9908 - Fixing OCLC Connexion Client

Fix issue where exporting a bib from the OCLC Connexion client
or web interface to a Koha database would always result in
an "Unsuccessful request" error.

To Test:

[1] Apply patch
[2] Start the Connexion import daemon.
[3] Start the Connexion client or web interface (requires that you
    you posses OCLC cataloging credentials).
[4] Locate a bib and use Connexion to export it to the Koha database.
[5] Verify that the bib is successfully added.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.
Logical change and trusting sign off here as I don't have
access to WorldCat for testing this.
Comment 5 Jared Camins-Esakov 2013-03-30 01:29:34 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-03-30 07:16:11 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.5 and 3.8.11